Bug 28419 - Page addorderiso2709.pl is untranslatable
Summary: Page addorderiso2709.pl is untranslatable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-21 15:32 UTC by Caroline Cyr La Rose
Modified: 2021-06-14 04:23 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.07,20.05.13,19.11.19


Attachments
Bug 28419: Fix addorderiso2709.tt translatability (1.26 KB, patch)
2021-05-25 12:39 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28419: Remove suspicious occurrence in opac-shelves.tt (1.87 KB, patch)
2021-05-25 12:46 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28419: Remove suspicious occurrence in opac-shelves.tt (1.25 KB, patch)
2021-05-25 13:05 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 28419: Fix addorderiso2709.tt translatability (1.25 KB, patch)
2021-05-25 17:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28419: Remove suspicious occurrence in opac-shelves.tt (1.24 KB, patch)
2021-05-25 17:12 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 28419: Fix addorderiso2709.tt translatability (1.32 KB, patch)
2021-05-26 08:26 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 28419: Remove suspicious occurrence in opac-shelves.tt (1.31 KB, patch)
2021-05-26 08:26 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Caroline Cyr La Rose 2021-05-21 15:32:43 UTC
I feel like I'm missing something obvious, because it can't be that a whole page is not translatable...

To go to this page:
1) Go to Acquisitions
2) Search for a vendor
3) Create a basket
4) Add to basket "from a new file"
5) Stage a marc file
6) Click on Add staged files to basket

You should be on the addorderiso2709 page.

I did ./translate update fr-CA, then using the git grep command, I searched for the string "Add orders from" which is the title of the page, and I can't find it anywhere in the po files. The string only comes out in the tt file and in the release notes files...
Comment 1 Katrin Fischer 2021-05-24 13:38:48 UTC
Hi Caroline, which version did you test this on?
Comment 2 Katrin Fischer 2021-05-24 13:42:58 UTC
Caroline, I am not sure how this can even be possible... but I am seeing the exact same thing for de-DE in our package based installation of 20.11.05
Comment 3 Katrin Fischer 2021-05-24 13:44:15 UTC
Example URL:
/cgi-bin/koha/acqui/addorderiso2709.pl?import_batch_id=6&basketno=25&booksellerid=8
Comment 4 Jonathan Druart 2021-05-25 12:30:15 UTC
Try `gulp po:update` to update the po files.
Comment 5 Jonathan Druart 2021-05-25 12:34:12 UTC
Hum, forget that. There is something wrong, indeed.
Comment 6 Jonathan Druart 2021-05-25 12:39:26 UTC
Created attachment 121373 [details] [review]
Bug 28419: Fix addorderiso2709.tt translatability

It seems that the html tag within the TT comment breaks the translate
script
Comment 7 Jonathan Druart 2021-05-25 12:39:54 UTC
It seems that this patch fixes the problem. Can you confirm please?
Comment 8 Jonathan Druart 2021-05-25 12:46:28 UTC
Created attachment 121374 [details] [review]
Bug 28419: Remove suspicious occurrence in opac-shelves.tt
Comment 9 Jonathan Druart 2021-05-25 12:47:10 UTC
This is the only other occurrence I found.

I don't have time right now to fix the translate script, and it does not seem a good idea to modify it few days before the release anyway :)
Comment 10 Jonathan Druart 2021-05-25 13:05:02 UTC
Created attachment 121376 [details] [review]
Bug 28419: Remove suspicious occurrence in opac-shelves.tt
Comment 11 Nick Clemens 2021-05-25 17:12:39 UTC
Created attachment 121394 [details] [review]
Bug 28419: Fix addorderiso2709.tt translatability

It seems that the html tag within the TT comment breaks the translate
script
Comment 12 Nick Clemens 2021-05-25 17:12:43 UTC
Created attachment 121395 [details] [review]
Bug 28419: Remove suspicious occurrence in opac-shelves.tt
Comment 13 Martin Renvoize 2021-05-26 08:26:07 UTC
Created attachment 121413 [details] [review]
Bug 28419: Fix addorderiso2709.tt translatability

It seems that the html tag within the TT comment breaks the translate
script

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2021-05-26 08:26:11 UTC
Created attachment 121414 [details] [review]
Bug 28419: Remove suspicious occurrence in opac-shelves.tt

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2021-05-26 08:27:28 UTC
Well sleuthed.. works as expected and passes QA scripts.. 

I couldn't find any other cases with a grep/ack.

Passing QA
Comment 16 Jonathan Druart 2021-05-26 13:10:54 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 17 Caroline Cyr La Rose 2021-05-26 13:17:20 UTC
Thanks everyone!

Just for information, I noticed this on a client's 20.05 installation. So if it's backportable, it would be useful. :)

Sorry I couldn't help more on this I'm swamped with client work atm.
Comment 18 Fridolin Somers 2021-05-31 14:23:19 UTC
Pushed to 20.11.x for 20.11.07
Comment 19 Victor Grousset/tuxayo 2021-06-08 23:10:49 UTC
Backported: Pushed to 20.05.x branch for 20.05.13
Comment 20 wainuiwitikapark 2021-06-14 04:23:50 UTC
Backported to 19.11.x for 19.11.19